View Issue Details

IDProjectCategoryView StatusLast Update
16023Bug reports[All Projects] Survey editingpublic2020-03-27 12:16
Reporterpstelling Assigned Topstelling  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version4.1.11 
Target Version4.1.12Fixed in Version4.1.13 
Summary16023: Changing inheritance of survey groups not working
Description

I've tried to change survey group settings for a group (e.g. "Save IP address") from inherited value, nothing happend (saving was not successful)

Steps To Reproduce

(1) create a survey group
(2) go to settings for the new created survey group
(3) got to "notification and data"
(4) change "Save ip address" from "Inherit[On]" to "Off"
(5) save the settings
(6) review it, nothing has changed ...

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.10
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2

Activities

cdorin

cdorin

2020-03-23 19:05

manager   ~56742

This applies to all group survey settings but "general settings"

pstelling

pstelling

2020-03-25 08:57

developer   ~56759

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29747

lime_release_bot

lime_release_bot

2020-03-25 23:19

administrator   ~56777

Fixed in Release 4.1.13+200325

pstelling

pstelling

2020-03-27 12:16

developer   ~56808

Fixed issue 16023: all survey group settings could now be safed correctly

Related Changesets

LimeSurvey: master eddb5493

2020-03-24 14:00:42

pstelling

Details Diff
Fixed issue 16023: all survey group settings could now be safed correctly Affected Issues
16023
mod - application/controllers/admin/SurveysGroupsController.php Diff File
mod - application/models/SurveysGroupsettings.php Diff File

Issue History

Date Modified Username Field Change
2020-03-23 14:21 pstelling New Issue
2020-03-23 14:21 pstelling Status new => assigned
2020-03-23 14:21 pstelling Assigned To => cdorin
2020-03-23 14:30 pstelling Product Version 4.1.10 => 4.1.11
2020-03-23 19:05 cdorin Note Added: 56742
2020-03-23 19:13 cdorin Status assigned => confirmed
2020-03-25 08:57 pstelling Changeset attached => LimeSurvey master eddb5493
2020-03-25 08:57 pstelling Note Added: 56759
2020-03-25 08:57 pstelling Assigned To cdorin => pstelling
2020-03-25 08:57 pstelling Resolution open => fixed
2020-03-25 23:19 lime_release_bot Note Added: 56777
2020-03-25 23:19 lime_release_bot Status confirmed => closed
2020-03-27 12:16 pstelling Status closed => resolved
2020-03-27 12:16 pstelling Fixed in Version => 4.1.13
2020-03-27 12:16 pstelling Note Added: 56808